<?php
class SOptions {

	function getOptions() {
		$options = get_option('S_options');
		if (!is_array($options)) {
			$options['home_logo'] = false;
			$options['home_logourl'] = '';
			$options['ie6wraning'] = false;
			$options['relate_random'] = false;
			$options['google_cse'] = false;
			$options['google_cse_cx'] = '';
			$options['feed'] = false;
			$options['feed_url'] = '';
			$options['feed_email'] = false;
			$options['feed_url_email'] = '';
			$options['tabone'] = false;
			$options['tabtwo'] = false;
			$options['tabthree'] = false;
			$options['tabtitleone'] = '';
			$options['tabtitletwo'] = '';
			$options['tabtitlethree'] = '';
			$options['tabcontentone'] = '';
			$options['tabcontenttwo'] = '';
			$options['tabcontentthree'] = '';
			$options['pushbutton'] = false;
			$options['topheadads'] = false;
			$options['topheadadsct'] = '';
			$options['toplsingleads'] = false;
			$options['toplsingleadsct'] = '';
			$options['toprsingleads'] = false;
			$options['toprsingleadsct'] = '';
			$options['topcommentads'] = false;
			$options['topcommentadsct'] = '';
			$options['google_analytics'] = false;
			$options['google_analytics_code'] = '';
			update_option('S_options', $options);
		}
		return $options;
	}

	function add() {
		if(isset($_POST['S_save'])) {
			$options = SOptions::getOptions();
            if ($_POST['home_logo']) {
				$options['home_logo'] = (bool)true;
			} else {
				$options['home_logo'] = (bool)false;
			}
			$options['home_logourl'] = stripslashes($_POST['home_logourl']);
			
            if ($_POST['ie6wraning']) {
				$options['ie6wraning'] = (bool)true;
			} else {
				$options['ie6wraning'] = (bool)false;
			}
			
			if ($_POST['relate_random']) {
				$options['relate_random'] = (bool)true;
			} else {
				$options['relate_random'] = (bool)false;
			}
			if ($_POST['google_cse']) {
				$options['google_cse'] = (bool)true;
			} else {
				$options['google_cse'] = (bool)false;
			}
			$options['google_cse_cx'] = stripslashes($_POST['google_cse_cx']);

			if ($_POST['feed']) {
				$options['feed'] = (bool)true;
			} else {
				$options['feed'] = (bool)false;
			}
			$options['feed_url'] = stripslashes($_POST['feed_url']);
            
			if ($_POST['feed_email']) {
				$options['feed_email'] = (bool)true;
			} else {
				$options['feed_email'] = (bool)false;
			}
			$options['feed_url_email'] = stripslashes($_POST['feed_url_email']);
			
			if ($_POST['tabone']) {
				$options['tabone'] = (bool)true;
			} else {
				$options['tabone'] = (bool)false;
			}
			$options['tabtitleone'] = stripslashes($_POST['tabtitleone']);
			$options['tabcontentone'] = stripslashes($_POST['tabcontentone']);

			if ($_POST['tabtwo']) {
				$options['tabtwo'] = (bool)true;
			} else {
				$options['tabtwo'] = (bool)false;
			}
			$options['tabtitletwo'] = stripslashes($_POST['tabtitletwo']);
			$options['tabcontenttwo'] = stripslashes($_POST['tabcontenttwo']);

			if ($_POST['tabthree']) {
				$options['tabthree'] = (bool)true;
			} else {
				$options['tabthree'] = (bool)false;
			}
			$options['tabtitlethree'] = stripslashes($_POST['tabtitlethree']);
			$options['tabcontentthree'] = stripslashes($_POST['tabcontentthree']);
			
			if ($_POST['pushbutton']) {
				$options['pushbutton'] = (bool)true;
			} else {
				$options['pushbutton'] = (bool)false;
			}
						
			if ($_POST['topheadads']) {
				$options['topheadads'] = (bool)true;
			} else {
				$options['topheadads'] = (bool)false;
			}
			$options['topheadadsct'] = stripslashes($_POST['topheadadsct']);
			
			if ($_POST['toplsingleads']) {
				$options['toplsingleads'] = (bool)true;
			} else {
				$options['toplsingleads'] = (bool)false;
			}
			$options['toplsingleadsct'] = stripslashes($_POST['toplsingleadsct']);			
			
			if ($_POST['toprsingleads']) {
				$options['toprsingleads'] = (bool)true;
			} else {
				$options['toprsingleads'] = (bool)false;
			}
			$options['toprsingleadsct'] = stripslashes($_POST['toprsingleadsct']);			
			
			if ($_POST['topcommentads']) {
				$options['topcommentads'] = (bool)true;
			} else {
				$options['topcommentads'] = (bool)false;
			}
			$options['topcommentadsct'] = stripslashes($_POST['topcommentadsct']);	

			if ($_POST['google_analytics']) {
				$options['google_analytics'] = (bool)true;
			} else {
				$options['google_analytics'] = (bool)false;
			}
			$options['google_analytics_code'] = stripslashes($_POST['google_analytics_code']);			
			update_option('S_options', $options);

		} else {
			SOptions::getOptions();
		}

		add_theme_page(__('Theme Options', 'scorpio'), __('Theme Options', 'scorpio'), 'edit_themes', basename(__FILE__), array('SOptions', 'display'));
	}

	function display() {
		$options = SOptions::getOptions();
?>
<style>
.settingline{
width:100%;
border-bottom:2px solid #DDD;
margin-top:10px;
}
</style>
<form action="#" method="post" enctype="multipart/form-data" name="S_form" id="S_form">
	<div class="wrap">
		<h2>佈景設定</h2>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">IE6 提醒字樣</th>
					<td>
						<label>
							<input name="ie6wraning" type="checkbox" value="checkbox" <?php if($options['ie6wraning']) echo "checked='checked'"; ?> />
							 啟用IE6用戶提醒字樣。(使用IE6的用戶將在首頁最上看見提醒字樣)
						</label>
                    </td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>	
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">網站標題樣式</th>
					<td>
						<label>
							<input name="home_logo" type="checkbox" value="checkbox" <?php if($options['home_logo']) echo "checked='checked'"; ?> />
							 網站Logo使用用圖片(362x150 以內)
						</label><br/>
						請輸入圖片位址：<br/>
						 <input type="text" name="home_logourl" id="home_logourl" class="code" size="40" value="<?php echo($options['home_logourl']); ?>">						
                    </td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">自訂搜尋</th>
					<td>
						<label>
							<input name="google_cse" type="checkbox" value="checkbox" <?php if($options['google_cse']) echo "checked='checked'"; ?> />
							 啟用Google自訂搜尋。
						</label>
						<br/>
						請輸入CX值：<br/>
						 <input type="text" name="google_cse_cx" id="google_cse_cx" class="code" size="40" value="<?php echo($options['google_cse_cx']); ?>">
						<br/>
						例如： <code>0711196565645086:vgsvq-2eeoz</code>，可在Google自訂搜尋代碼裡找到。
					</td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>	
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">RSS設定</th>
					<td>
						<label>
							<input name="feed" type="checkbox" value="checkbox" <?php if($options['feed']) echo "checked='checked'"; ?> />
							 啟用自訂RSS位址。
						</label><br />
						 請輸入RSS位址：
						 <br /><input type="text" name="feed_url" id="feed_url" class="code" size="60" value="<?php echo($options['feed_url']); ?>">
					    <br /><label>
							<input name="feed_email" type="checkbox" value="checkbox" <?php if($options['feed_email']) echo "checked='checked'"; ?> />
							 啟用Email訂閱。
						</label><br />
						 請輸入RSS帳號：<input type="text" name="feed_url_email" id="feed_url_email" class="code" size="20" value="<?php echo($options['feed_url_email']); ?>">
					     <br />例如：RSS位址為http://feeds2.feedburner.com/steach，則帳號請輸入 steach。
					</td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>			
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">側邊欄Tab分頁設定</th>
					<td>
						<label>
							<input name="tabone" type="checkbox" value="checkbox" <?php if($options['tabone']) echo "checked='checked'"; ?> />
							 啟用分頁 1
						</label><br />
						 標題 1：<input type="text" name="tabtitleone" id="tabtitleone" class="code" size="20" value="<?php echo($options['tabtitleone']); ?>"><br />
                         內容 1：<br /><textarea name="tabcontentone" id="tabcontentone" tabindex="4" rows="6" cols="30" class="code"><?php echo($options['tabcontentone']); ?></textarea>
									
					<br />(如不設定則顯示最新文章)
					</td>
					<td>
						<label>
							<input name="tabtwo" type="checkbox" value="checkbox" <?php if($options['tabtwo']) echo "checked='checked'"; ?> />
							 啟用分頁 2
						</label><br />
						 標題 2：<input type="text" name="tabtitletwo" id="tabtitletwo" class="code" size="20" value="<?php echo($options['tabtitletwo']); ?>"><br />
                         內容 2：<br /><textarea name="tabcontenttwo" id="tabcontenttwo" tabindex="4" rows="6" cols="30" class="code"><?php echo($options['tabcontenttwo']); ?></textarea>
					<br />(如不設定則顯示熱門文章)
					</td>
					<td>
						<label>
							<input name="tabthree" type="checkbox" value="checkbox" <?php if($options['tabthree']) echo "checked='checked'"; ?> />
							 啟用分頁 3
						</label><br />
						 標題 3：<input type="text" name="tabtitlethree" id="tabtitlethree" class="code" size="20" value="<?php echo($options['tabtitlethree']); ?>"><br />
                         內容 3：<br /><textarea name="tabcontentthree" id="tabcontentthree" tabindex="4" rows="6" cols="30" class="code"><?php echo($options['tabcontentthree']); ?></textarea>						
					<br />(如不設定則顯示最新留言)
					</td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">分享推文按鈕</th>
					<td>
						<label>
							<input name="pushbutton" type="checkbox" value="checkbox" <?php if($options['pushbutton']) echo "checked='checked'"; ?> />
							 啟用分享推文按鈕(在首頁及內文上方，包含FunP推推文、Plurk、Twitter、FaceBook)
						</label>
                    </td>
				</tr>
			</tbody>
		</table>	
<div class="settingline"></div>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">首頁上方廣告設定</th>
					<td>
						<label>
							<input name="topheadads" type="checkbox" value="checkbox" <?php if($options['topheadads']) echo "checked='checked'"; ?> />
						啟用首頁上方廣告(介於Header及Content之間，寬度須小於650px即可，不需加入置中代碼。)<br />
						</label>
						請輸入廣告代碼：<br /><textarea name="topheadadsct" id="topheadadsct" tabindex="4" rows="6" cols="60" class="code"><?php echo($options['topheadadsct']); ?></textarea>						

                    </td>
				</tr>
			</tbody>
		</table>	
<div class="settingline"></div>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">內文上方廣告設定</th>
					<td>
						<label>
							<input name="toplsingleads" type="checkbox" value="checkbox" <?php if($options['toplsingleads']) echo "checked='checked'"; ?> />
							 啟用內文上方(左)廣告，250x250，不需加入置中代碼。)<br />
						</label>
						請輸入廣告代碼：<br /><textarea name="toplsingleadsct" id="toplsingleadsct" tabindex="4" rows="6" cols="40" class="code"><?php echo($options['toplsingleadsct']); ?></textarea>						

                    </td>
										<td>
						<label>
							<input name="toprsingleads" type="checkbox" value="checkbox" <?php if($options['toprsingleads']) echo "checked='checked'"; ?> />
							 啟用內文上方(右)廣告，250x250，不需加入置中代碼。)<br />
						</label>
						請輸入廣告代碼：<br /><textarea name="toprsingleadsct" id="toprsingleadsct" tabindex="4" rows="6" cols="40" class="code"><?php echo($options['toprsingleadsct']); ?></textarea>						

                    </td>
				</tr>
			</tbody>
		</table>	
<div class="settingline"></div>
<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">留言區上方廣告設定</th>
					<td>
						<label>
							<input name="topcommentads" type="checkbox" value="checkbox" <?php if($options['topcommentads']) echo "checked='checked'"; ?> />
							 啟用留言區上方廣告(介於Content及Comments之間，寬度須小於650px即可，不需加入置中代碼。)<br />
						</label>
						請輸入廣告代碼：<br /><textarea name="topcommentadsct" id="topcommentadsct" tabindex="4" rows="6" cols="60" class="code"><?php echo($options['topcommentadsct']); ?></textarea>						

                    </td>
				</tr>
			</tbody>
		</table>	
<div class="settingline"></div>
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">相關及隨機文章</th>
					<td>
						<label>
							<input name="relate_random" type="checkbox" value="checkbox" <?php if($options['relate_random']) echo "checked='checked'"; ?> />
							 啟用相關及隨機文章，顯示於內文下方(需先啟用random-posts及wordpress-23-related-posts外掛)
						</label>
                    </td>
				</tr>
			</tbody>
		</table>	
		<div class="settingline"></div>	
<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">Google_Analytics設定</th>
					<td>
						<label>
							<input name="google_analytics" type="checkbox" value="checkbox" <?php if($options['google_analytics']) echo "checked='checked'"; ?> />
							 啟用Google_Analytics分析(其它需加在Footer的分析程式碼可以一併放置在此欄位)<br />
						</label>
						請輸入Google_Analytics代碼：<br /><textarea name="google_analytics_code" id="google_analytics_code" tabindex="4" rows="6" cols="60" class="code"><?php echo($options['google_analytics_code']); ?></textarea>						

                    </td>
				</tr>
			</tbody>
		</table>
<div class="settingline"></div>		
		<p class="submit">
			<input class="button-primary" type="submit" name="S_save" value="儲存設定" />
		</p>
	</div>
</form>

<?php
	}
}
add_action('admin_menu', array('SOptions', 'add'));
add_action ('init', 'theme_init');  
function theme_init(){
	load_theme_textdomain('scorpio', get_template_directory() . '/lang');
}
if ( function_exists('register_sidebar') )
        register_sidebar(array(
		'name' => 'sidebar-Top',
        'before_widget' => '<div class="sidebar">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
 )); 
if ( function_exists('register_sidebar') )
        register_sidebar(array(
		'name' => 'sidebar-Bottom',
        'before_widget' => '<div class="sidebar">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    )); 
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'Footer-Left',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'Footer-Center',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'Footer-Right',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'Footer-Right2',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
?>
<?php
	function s_pagenavi($range = 6){
  global $paged, $wp_query;
  if ( !$max_page ) {
    $max_page = $wp_query->max_num_pages;
  }
  if($max_page > 1){
    if(!$paged){
      $paged = 1;
    }
echo '<div id="paviinfo">文章頁次'.$paged.'/'.$max_page.'</div>';
    if($paged != 1){
      echo "<a href='" . get_pagenum_link(1) . "' class='extend' title='首頁'>首頁</a>";
    }
    previous_posts_link(' « ');
    if($max_page > $range){
      if($paged < $range){
        for($i = 1; $i <= ($range + 1); $i++){
          echo "<a title=".'"第'.$i.'頁"'. "href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a>";
        }
      }
      elseif($paged >= ($max_page - ceil(($range/2)))){
        for($i = $max_page - $range; $i <= $max_page; $i++){
          echo "<a title=".'"第'.$i.'頁"'. "href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a>";
        }
      }
      elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){
        for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){
          echo "<a title=".'"第'.$i.'頁"'. "href='" . get_pagenum_link($i) ."'";
          if($i==$paged) echo " class='current'";
          echo ">$i</a>";
        }
      }
    }
    else{
      for($i = 1; $i <= $max_page; $i++){
        echo "<a title=".'"第'.$i.'頁"'. "href='" . get_pagenum_link($i) ."'";
        if($i==$paged) echo " class='current'";
        echo ">$i</a>";
      }
    }
    next_posts_link(' » ');
    if($paged != $max_page){
      echo "<a href='" . get_pagenum_link($max_page) . "' class='extend' title='最後一頁'>最後一頁</a>";
    }
  }
}
	?>
<?php
function srelated_posts($before_title="",$after_title="") {	
	global $wpdb, $post,$table_prefix;
	if(!$post->ID){return;}
	$now = current_time('mysql', 1);
	$tags = wp_get_post_tags($post->ID);
	
	$taglist = "'" . $tags[0]->term_id. "'";
	
	$tagcount = count($tags);
	if ($tagcount > 1) {
		for ($i = 1; $i < $tagcount; $i++) {
			$taglist = $taglist . ", '" . $tags[$i]->term_id . "'";
		}
	}	
	$limitclause = "LIMIT 5";	
	$q = "SELECT p.ID, p.post_title, p.post_content,p.post_excerpt, p.post_date,  p.comment_count, count(t_r.object_id) as cnt FROM $wpdb->term_taxonomy t_t, $wpdb->term_relationships t_r, $wpdb->posts p WHERE t_t.taxonomy ='post_tag' AND t_t.term_taxonomy_id = t_r.term_taxonomy_id AND t_r.object_id  = p.ID AND (t_t.term_id IN ($taglist)) AND p.ID != $post->ID AND p.post_status = 'publish' AND p.post_date_gmt < '$now' GROUP BY t_r.object_id ORDER BY cnt DESC, p.post_date_gmt DESC $limitclause;";	
	$related_posts = $wpdb->get_results($q);
	foreach ($related_posts as $related_post ){
		$output .=  '<li><a href="'.get_permalink($related_post->ID).'" title="'.wptexturize($related_post->post_title).'">'.wptexturize($related_post->post_title).'</a></li>';			
	}	
	$output = '<ul class="related_post">' . $output . '</ul>';		
	return $output;
}
function s_related_posts(){
	$output = srelated_posts() ;
	echo $output;
}
function s_random_lists($num_limit = 5 , $exclude = "" , $date_limit = "" , $echo = true , $list = true){
		$out = "";
		if ( $num_limit < 1 ) $num_limit = "-1";
		if ( !$date_limit_ts = strtotime($date_limit) ) $date_limit = false;
		if ( !$date_limit ){
        	$posts = get_posts('offset=0&numberposts='.$num_limit.'&exclude='.$exclude.'&orderby=rand');
		} else {
        	$posts = get_posts('offset=0&numberposts=-1&exclude='.$exclude.'&orderby=rand');
		}
		$postscount = count($posts);
		if ( $num_limit < 1 ) $num_limit = $postscount;
		if ( $postscount < $num_limit ) $num_limit = $postscount ;
		for ( $i = 0 ; $i < $num_limit ; $i++ ){
			if ( !$date_limit or $date_limit_ts < strtotime( $posts[$i]->post_date )){
				if ( $list ) $out.= '<li class="random-post-link">'."\n";
  				$out.= '<a href="'.get_permalink($posts[$i]->ID).'" title="'.$posts[$i]->post_title.'">'.$posts[$i]->post_title.'</a>'."\n";
				if ( $list ) $out.= '</li>'."\n";
			}else{
				if ( $postscount > $num_limit ) $num_limit++;
			}
		}
		if ( $list ) $out = '<ul class="random-post-link">'."\n".$out.'</ul>'."\n";
		if ( $echo ){
  			echo $out;
		} else {
			return $out;
		}
	}
?>