<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/tabjquery.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/commentajax.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/menutree.js"></script>
<script language="JavaScript" src="http://funp.com/tools/js/funp_button.js"></script>  
        <style type="text/css" media="screen">
                @import url( <?php bloginfo('stylesheet_url'); ?> );
        </style>
<?php wp_head(); ?>
</head>
<body>
<?php $options = get_option('S_options');?>
<?php if($options['ie6wraning']) : ?>
<!--[if lte IE 6]>
<div id="ie6warning">
<div id="warning"></div>
<div id="warningtext">您用的是舊版的IE6瀏覽器，強烈建議您升級為IE8或是使用Chrome、Firefox、Safari、Opera等瀏覽器</div>
<div id="opera"><a href="http://steachs.com/archives/890" title="前往Opera瀏覽器" alt="前往Opera瀏覽器"/>Opera</a></div>
<div id="safari"><a href="http://steachs.com/archives/799" title="前往Safari瀏覽器" alt="前往Safari瀏覽器"/>Safari</a></div>
<div id="chrome"><a href="http://steachs.com/archives/900" title="前往Google Chrome瀏覽器" alt="前往Google Chrome瀏覽器"/>Chrome</a></div>
<div id="firefox"><a href="http://steachs.com/archives/989" title="前往Firefox瀏覽器" alt="前往Firefox瀏覽器"/>Firefox</a></div>
<div id="ie"><a href="http://steachs.com/archives/641" title="前往IE8瀏覽器" alt="前往IE8瀏覽器"/>IE8</a></div>
</div>
<![endif]-->
<?php else : ?><?php endif; ?>
<div id="header">
<?php if($options['home_logo'] && $options['home_logourl']) : ?>
<div id="logodesc">
<style>#logo a{background:url(<?php echo $options['home_logourl']; ?>) no-repeat;color:#000;width:362px;height:150px;text-decoration:none;text-indent:-999em;display:block;}</style>
<div id="logo"><h1><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1></div>
<div id="desc"><h2><?php bloginfo('description'); ?></h2></div>
</div>
<?php else : ?>
<div id="titledesc">
<h1><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
<h2><?php bloginfo('description'); ?></h2>
</div>
<?php endif; ?>	
<div id="rssfeed">
<?php if($options['feed_email'] && $options['feed_url_email']) : ?>
<div id="emailfeed">
<a rel="external nofollow" id="feedemail" title="用Email訂閱最新文章" href="http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $options['feed_url_email']; ?>&loc=zh_TW" target="_blank"></a>
</div><?php else : ?><?php endif; ?>
<div id="rss">
<?php
	$options = get_option('S_options');

	if($options['feed'] && $options['feed_url']) {
		if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
			$feed = $options['feed_url'];
		} else {
			$feed = 'http://' . $options['feed_url'];
		}
	} else {
		$feed = get_bloginfo('rss2_url');
	}
?>
<a href=<?php echo $feed; ?> title="訂閱『<?php bloginfo('name'); ?>』的RSS"  target="_blank"></a>
</div>
</div>
</div>
<div id="menu">
<ul id="nav">
<li><a title="首頁" href="<?php echo get_option('home'); ?>/" class="on">首頁</a></li>
<?php wp_list_pages('title_li='); ?>
</ul>
<div id="search">
<?php if($options['google_cse'] && $options['google_cse_cx']) : ?>
	<form action="http://www.google.com.tw/cse" id="cse-search-box" target="_blank">
    <div>
    <input type="hidden" name="cx" value="<?php echo $options['google_cse_cx']; ?>" />
    <input type="hidden" name="ie" value="UTF-8" />
    <input type="text"  name="q" size="30" />
	<input type="submit" name="sa" value="搜尋" />
	</div>
	</form>
	<script type="text/javascript" src="http://www.google.com/cse/brand?form=cse-search-box&amp;lang=zh-Hant"></script>
		<?php else : ?>
			<form action="<?php bloginfo('home'); ?>" method="get">
				<div class="content">
					<input type="text" id="shform" name="q" size="30" value="<?php echo wp_specialchars($s, 1); ?>" />
					<input type="submit" id="ssubmit" name="sa" value="搜尋" />
				</div>
			</form>
		<?php endif; ?>
</div>
</div>